/* Globals */
* {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body{
	height: 100vh;
}

body{
	color: #292929;
	font-family: futura-pt, sans-serif;
	font-size: 17px;
	line-height: 1.4em;
}

hr{
	border: 0.5px solid rgb(187 196 199 / 40%);
	width: 100%;
	margin: 0 0 60px;
}

a { color: #292929; }
a:hover { color: #0AD3E8; }

h1 a {
	display: block;
    cursor: pointer;
    height: 100%;
}

svg {
	height: auto;
	width: auto;
}

.clearfix{
	overflow: auto;
}
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}
.hide{
    display: none;
}
.row{
	display: flex;
    flex-wrap: wrap;
}
.row > * {
    flex-shrink: 0;
    width: 100%;
    max-width: 100%;
}
.col {
    flex: 1 0 0%;
}

.visible-lg,
.visible-md {
	display: none;
}
.invisible-md {
	display: none;
}

.d-table{
	display: table;
}
.d-tablecell{
	display: table-cell;
}
.v-align-middle{
	vertical-align: middle;
}

/* Container */
@media (min-width: 576px) { .container { max-width: 100%;  }}
@media (min-width: 768px) { .container { max-width: 100%;  }}
@media (min-width: 992px) { .container { max-width: 960px; } .invisible-md { display: block }}
@media (min-width: 1200px){ .container { max-width: 1140px;}}
@media (min-width: 1400px){ .container { max-width: 1320px;} .plain .container, .post .container {max-width: 1140px}}


/* Skeleton */
.background{
	position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    display: block;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
}

.background-inner{
	background: rgb(15,211,228);
	background: linear-gradient(150deg, rgba(15,211,228,1) 0%, rgba(84,214,175,1) 50%, rgb(164 213 80) 100%);
    width: 100%;
    height: 100%;
    transform: skewX(32deg);
    margin-left: 60%;
}

.wrapper {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	height: 100vh;
	position: relative;
	z-index: 2;
	overflow-x: hidden;
}

.container {
	width: 100%;
	flex-grow: 2;
	display: flex;
    flex-direction: column;
    margin-bottom: 40px;
}

.footer{
	color: #BCC4C8;
	font-size: 15px;
	margin-top: auto;
	text-align: center;
	width: 100%;
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
}


/* Content */
.content{
	display: flex;
	height: 100%;
	width: 100%;
}

.left-column, .right-column{
	display: flex;
	align-items: center;
	width: 50%;
	height: 100%;
}

.left-column > div,
.right-column > div {
	width: 100%;
}

.left-column h2 {
	line-height: 2.3em;
}

.logo{
	background: url(../assets/funimate_logo.svg) no-repeat left center;
	background-size: contain;
	display: inline-block;
	height: 48px;
	width: 182px;
	font-size: 0px;
}

.main-title{
	margin-top: 40px;
}

.title{
	font-size: 34px;
	font-weight: bold;
}

.title-color{
	font-size: 80px;
	font-weight: bold;
	background-color: #0AD3E8;
	background-image: -webkit-linear-gradient(0deg, #0AD3E8, #49D6BB, #A7D64C, #EDC25D, #ED5D6C, #C853DA, #537ADA, #0AD3E8);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-size: 400%;
	animation: gradient 35s linear infinite;
}

.description{
	font-size: 20px;
	line-height: 1.4em;
	margin: 20px 0 40px;
	max-width: 550px;
}

.phone-holder{
	position: relative;
}

.phone{
	position: relative;
	width: 316px;
	top: 0;
	left: 50%;
	margin-left: -158px;
	-webkit-filter: drop-shadow(10px 20px 80px rgba(0, 0, 0, .25));
 	filter: drop-shadow(10px 20px 80px rgba(0, 0, 0, .25));
}

/* Footer */
.copyright ul, .copyright li {
	list-style: none;
	padding: 0;
	margin: 0;
}

.copyright li {
	display: inline-block;
	margin-right: 10px;
}

.copyright a{
	color: #BCC4C8;
	display: inline-block;
	transition: color ease-in 200ms;
}

.copyright a:last-child{
	margin: 0;
}

.copyright a:hover{
	color: #0AD3E8;
}

/* Store Links */
.store-links a{
	border-radius: 8px;
	display: inline-block;
	height: 50px;
	margin-right: 10px;
	margin-bottom: 10px;
	text-decoration: none;
	transition: all ease-out 200ms;
}

.store-links a:last-child{
	margin-right: 0;
}

.store-links a:hover{
	box-shadow: 0px 8px 20px rgba(0, 0, 0, .15);
	transform: scale(1.05);
}

.store-links a:active{
	box-shadow: none;
	transform: scale(0.97);
}

/* Chips */
.chip{
	height: 60px;
	width: 60px;
	position: absolute;
	z-index: 99;
	transition: all .5s ease;
	transform-style: preserve-3d;
  	backface-visibility: hidden;
}

.chip span{
	background: #fff;
	box-shadow: 0 3px 0 #E8EBED, 0px 8px 20px rgba(0, 0, 0, 0.1);
	border-radius: 12px;
	display: block;
	padding: 12px;
	height: 60px;
	width: 60px;
	animation: chip-swing 2s infinite alternate ease-in-out;
}

.chip i{
	display: block;
	font-size: 0;
	height: 36px;
	width: 36px;
	transition: all .3s ease;
}

.chip-active i { filter: brightness(1) sepia(1) hue-rotate(135deg) saturate(40); }

.c-ai 		 { top: 15%; left: 10%; transform: rotate(-11deg); }
.c-effectmix { top: 10%; left: 72%; transform: rotate(0deg); }
.c-music     { top: 40%; left: 20%; transform: rotate(32deg); }
.c-adjust    { top: 65%; left: 70%; transform: rotate(4deg); }
.c-fsmb      { top: 35%; left: 85%; transform: rotate(-23deg); }
.c-layers    { top: 70%; left: 13%; transform: rotate(0deg); }

.c-ai i 	   { background: url(../assets/icon_ai.svg) no-repeat center center; }
.c-effectmix i { background: url(../assets/icon_effectmix.svg) no-repeat center center; }
.c-music i 	   { background: url(../assets/icon_music.svg) no-repeat center center; }
.c-adjust i    { background: url(../assets/icon_adjust.svg) no-repeat center center; }
.c-fsmb i 	   { background: url(../assets/icon_fsmb.svg) no-repeat center center; }
.c-layers i    { background: url(../assets/icon_layers.svg) no-repeat center center; }

.chip:nth-child(1) span { animation-delay: .0s; }
.chip:nth-child(2) span { animation-delay: .2s; }
.chip:nth-child(3) span { animation-delay: .5s; }
.chip:nth-child(4) span { animation-delay: .8s; }
.chip:nth-child(5) span { animation-delay: .4s; }
.chip:nth-child(6) span { animation-delay: .3s; }

/* Social Media Buttons */
.social-media {
	margin-bottom: 20px;
}

.social-media ul{
	padding: 0;
}

.social-media li{
	display: inline-block;
	list-style: none;
	margin: 8px;
}

.social-media li:nth-child(1) { animation-delay: .0s; }
.social-media li:nth-child(2) { animation-delay: .1s; }
.social-media li:nth-child(3) { animation-delay: .2s; }
.social-media li:nth-child(4) { animation-delay: .3s; }
.social-media li:nth-child(5) { animation-delay: .4s; }

.social-media a{
	background-color: #fff;
	box-shadow: 0px 5px 12px rgba(0, 0, 0, .1);
	border-radius: 50%;
	display: block;
	font-size: 0;
	padding: 9px;
	height: 48px;
	width: 48px;
	transition:ease-out 200ms;
	position: relative;
}

.social-media svg{
	height: 30px;
	width: 30px;
}

.social-media path{
	transition:ease-out 300ms;
}

.social-media a:hover{
	box-shadow: 0px 8px 20px #D8DCDD;
	transform-origin: center;
	transform: scale(1.05);
}

.social-media a:active{
	box-shadow: none;
	transform: scale(0.97);
}

.social-media a::after {
	height: 100%;
	width: 100%;
	content: "";
	display: block;
	border-radius: 50%;
	border: 0px solid transparent;
	margin: 0;
	position: absolute;
	top: 0;
	left: 0;
}

.social-media a:active::after {
	border-width: 8px;
	margin: -8px 0 0 -8px;
}

.social-media a:active path{
	fill: #fff;
}

.sm-tiktok:hover path   { fill: #010101; }
.sm-youtube:hover path  { fill: #ff0000; }
.sm-discord:hover path  { fill: #7289da; }
.sm-instagram:hover path{ fill: #bc2a8d; }
.sm-facebook:hover path { fill: #1778F2; }

.sm-tiktok:active   { background-color: #010101; }
.sm-youtube:active  { background-color: #ff0000; }
.sm-discord:active  { background-color: #7289da; }
.sm-instagram:active{ background-color: #bc2a8d; }
.sm-facebook:active { background-color: #1778F2; }

.social-media .sm-tiktok:active::after   { border-color: rgba(1, 1, 1, .1); }
.social-media .sm-youtube:active::after  { border-color: rgba(255, 0, 0, .1); }
.social-media .sm-discord:active::after  { border-color: rgba(114, 137, 218, .1); }
.social-media .sm-instagram:active::after{ border-color: rgba(188, 42, 41, .1); }
.social-media .sm-facebook:active::after { border-color: rgba(23, 120, 242, .1); }


/* Imaginate Banner */
.banner{
	padding: 10px;
	border-radius: 8px;
	background-color: rgb(187 196 199 / 10%);
	margin-top: 20px;
	width: auto;
	font-size: 16px;
	text-align: left !important;
	max-width: 508px;
	position: relative;
	transition: all .3s ease;
}

.banner:hover{
	background-color: rgb(187 196 199 / 15%);
}

.banner a{
	position: absolute;
	z-index: 1;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
}

.imaginate-logo {
	height: 40px;
	width: 40px;
	background: url(../assets/imaginate_logo.svg) no-repeat center center;
	background-size: contain;
}

.banner .d-table > div:nth-child(2) {
	padding:0 15px;
}


/* Post Page */
.post-container{
	background-color: #fff;
	box-shadow: 10px 20px 80px rgba(0, 0, 0, .2);
	min-height: 600px;
	display: flex;
	border-radius: 8px;
    overflow: hidden;
}

.post-video{
	background-color: #292929;
	text-align: center;
	position: relative;
	aspect-ratio: 1 / 1;
	flex-grow: 1;
}

.post-video img{
	height: 100%;
	position: relative;
	z-index: 2;
}

.post-content {
	display: flex;
	flex-direction: column;
	flex-grow: 1;
}

.post-content-header,
.post-content-comment {
	border-bottom: 1px solid #D8DCDD;
	padding: 20px;
}

.post-content-comment {
	flex-grow: 2;
}

.post-content-footer{
	padding: 20px;
}

.post-content-footer .title{
	margin: 0 0 20px;
}

.store-footer {
	text-align: center;
	margin-bottom: 20px;
}

.store-footer .title {
	margin: 0 0 20px;
}

.video-author-avatar{
	height: 36px;
    width: 36px;
    border-radius: 50%;
    float: left;
    margin-right: 15px;
}

.video-author-name {
	display: inline-block;
	font-size: 17px;
	margin: 4px 0;
}
.video-author-comment {
	font-size: 18px;
	height: 320px;
	overflow: auto;
}


/* Plain Sub Pages */
header {
	padding: 40px 0;
}
.plain{
	font-size:17px;
	line-height: 24px;
}

.plain .content-container p,
.plain .content-container ul,
.plain .content-container ol { margin-bottom: 30px; }

.plain .content-container ul ul {margin-bottom: 0;}

.plain .content-container ul,
.plain .content-container ol { padding-left: 30px; }

.plain .content-container h2{ margin-bottom: 30px; }
.plain .content-container h3{ font-weight: normal; font-size:20px; margin-bottom: 20px; }
.plain .content-container h4{ font-weight: normal; font-size:18px; margin-bottom: 5px; }

.breadcrumbs { margin: 0 0 30px; }
.breadcrumbs .col {
	padding: 12px;
	border-radius: 8px;
	background-color: rgb(187 196 199 / 10%);
}

/* Error Page */
.notfound-message{
	margin: auto;
	text-align: center;
}
.notfound-message p{
	font-size: 20px;
	margin-bottom: 20px;
}
.notfound-message b{
	font-size: 100px;
}
.logo-holder{
	margin-top: 120px;
}
.logo-holder .logo{
	height: 36px;
	background-position: center center;
}
.emoji-holder{
	margin-bottom: 30px;
}

/* Rain */
#rain-container{
	left: 0px;
	top: -100px;
	height: calc(100vh + 100px);
	width: 100vw;
	overflow: hidden;
	position: absolute;
	z-index: 1;
}
#rain{
	margin: 0 auto;
	width: 20px;
	overflow: visible;
	position: relative;
}

/* Beta Form */
.loading-container{
    padding: 40px 0;
}
#credential-error{
    color: red;
    background-color: #ffefef;
    padding: 10px 15px;
    border-radius: 4px;
}
.contact-form{
    width: 330px;
}
.contact-form-row{
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
}
.contact-form-row label{
    font-size: 14px;
    display: inline-block;
}
.contact-form-row input{
    padding: 15px;
    border: 1px solid rgb(187 196 199);
    border-radius: 4px;
}
.btn{
    border: none;
    border-radius: 4px;
    background: rgb(15,211,228);
    background: linear-gradient(150deg, rgba(15,211,228,1) 0%, rgba(84,214,175,1) 100%);
    padding: 15px 20px;
    cursor: pointer;
    color: #fff;
    transition: all ease-out 200ms;
    text-decoration: none;
    display: inline-block;
}
.btn:hover{
    box-shadow: 0px 4px 10px rgba(0, 0, 0, .15);
    transform: scale(1.05);
}
.btn:active{
    box-shadow: none;
    transform: scale(0.97);
}
.loader {
    width: 24px;
    height: 24px;
    border: 4px solid rgb(187 196 199 / 30%);
    border-bottom-color: rgb(15,211,228);
    border-radius: 50%;
    float: left;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
    margin-right: 10px;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

#view-app-banner{
    padding: 20px;
    background-color: #fff;
    box-shadow: 0px 0px 10px #ced5d7;
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    z-index: 99;
    text-align: center;
    display: none;
}
#view-app-banner a{
	margin: 0 10px;
}


/* Animations */
/* Up Down */
.updown{
  animation: up-down 2s infinite alternate ease-in-out;
}

@keyframes up-down {
  0% {
    transform: translateY(1%);
  }
  100% {
      transform: translateY(-1%);
  }
}

@keyframes chip-swing {
  0% {
    transform: translateY(10%);
  }
  100% {
      transform: translateY(-10%);
  }
}

/* Hi There */
.hithere {
  animation: hithere 1s ease infinite;
}

@keyframes hithere {
  30% { transform: scale(1.2); }
  40%, 60% { transform: rotate(-20deg) scale(1.2); }
  50% { transform: rotate(20deg) scale(1.2); }
  70% { transform: rotate(0deg) scale(1.2); }
  100% { transform: scale(1); }
}

/* Bounce */
.bounce{
    animation: bounce 1s forwards;
    animation-timing-function: cubic-bezier(0.280, 0.840, 0.420, 1);
}

@keyframes bounce {
  0% {
    transform: translate(0, 0);
  }
  50% {
    transform: translate(0, -30px);
  }
  100% {
    transform: translate(0, 0);
  }
}

/* Shake */
.shake {
  animation: shake 2s ease infinite;
}

@keyframes shake {
  0%, 100% {transform: translateX(0);}
  10%, 30%, 50%, 70%, 90% {transform: translateX(-10px);}
  20%, 40%, 60%, 80% {transform: translateX(10px);}
}

/* Hue */
@keyframes gradient{
  to{
    background-position: 400%;
  }
}

@keyframes hue {
  from {
    -webkit-filter: hue-rotate(0deg);
  }
  to {
    -webkit-filter: hue-rotate(-360deg);
  }
}



/* Media Queries */
@media (max-width: 1200px){
	.left-column {
		width: 60%;
	}
	.right-column {
		width: 40%;
	}
	.store-links a{
		margin-right: 10px;
		margin-bottom: 10px;
	}
	.visible-lg {
		display: block;
	}
	.post-content-footer{
		display: none;
	}

}
@media (max-width: 992px){
	.background {
		display: none;
	}
	.wrapper{
		display: block;
		height: auto;
		padding: 30px;
	}
	header {
		padding: 0 0 30px;
	}
	.visible-md{
		display: block;
	}
	.content {
		flex-direction: column;
		align-items: center;
	}
	.left-column {
		width: 100%;
    	text-align: center;
	}
	.right-column {
		width: 70%;
		padding: 50px 0;
	}
	.logo{
		height: 36px;
		width: 137px;
	}
	.banner{
		margin: 0 auto 30px;
		font-size: 16px;
		line-height: 1.4em;
	}
	.description {
		margin: 20px auto 40px;
	}
	.social-media {
		margin-bottom: 40px;
	}
	.copyright {
		font-size: 16px;
	}
	.video-js .vjs-tech {
		position: relative;
	}
}
@media (max-width: 768px){
	.left-column, .right-column {
		width: 100%;
	}
	.banner,
	.copyright {
		font-size: 18px;
	}
	.copyright li {
		display: block;
		height: 44px;
	}
	.post-container {
		flex-direction: column;
	}
	.video-author-comment {
		height: auto;
		overflow: hidden;
	}
	.post-content-comment{
		padding: 20px 20px 40px;
	}
}

@media (max-width: 576px){
	.wrapper{
		padding: 60px 0;
	}
	.wrapper.post{
		padding: 20px;
	}
	.post-container{
		box-shadow: 0px 0px 10px #ced5d7;
	}
	.title-color{
		font-size: 64px;
	}
	.description{
		padding: 0 30px;
		line-height: ;
	}
	.plain {
		padding: 20px;
	}
	.store-footer .title{
		font-size: 28px;
	}
	.store-footer {
		margin-bottom: 60px;
	}
	.right-column {
		padding: 30px 0;
	}
	.banner{
		margin: 0 20px 40px;
	}

	.c-ai 		 { top: 15%; left: 5%; }
	.c-effectmix { top: 10%; left: 80%; }
	.c-music     { top: 48%; left: 8%; }
	.c-adjust    { top: 70%; left: 80%; }
	.c-fsmb      { top: 40%; left: 85%; }
	.c-layers    { top: 78%; left: 5%; }

}






